//Made with Blockbench
//Paste this code into your mod.

public static class ModelLegMovement extends ModelBase {
	private final ModelRenderer body;
	private final ModelRenderer LeftLeg;
	private final ModelRenderer RightLeg;

	public ModelLegMovement() {
		textureWidth = 16;
		textureHeight = 16;

		body = new ModelRenderer(this);
		body.setRotationPoint(0.0F, 24.0F, 0.0F);
		body.cubeList.add(new ModelBox(body, 0, 0, -3.0F, -12.0F, -1.0F, 5, 7, 2, 0.0F, false));

		LeftLeg = new ModelRenderer(this);
		LeftLeg.setRotationPoint(0.0F, 24.0F, 0.0F);
		LeftLeg.cubeList.add(new ModelBox(Left Leg, 0, 9, 0.0F, -5.0F, -1.0F, 2, 5, 2, 0.0F, false));

		RightLeg = new ModelRenderer(this);
		RightLeg.setRotationPoint(0.0F, 24.0F, 0.0F);
		RightLeg.cubeList.add(new ModelBox(RightLeg, 8, 9, -3.0F, -5.0F, -1.0F, 2, 5, 2, 0.0F, false));
	}
	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3,
			float f4, float f5) {
		body.render(f5);
		LeftLeg.render(f5);
		RightLeg.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y,
			float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}
	public void setRotationAngles(float f, float f1, float f2, float f3,
			float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.LeftLeg.rotateAngleX = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		this.RightLeg.rotateAngleX = MathHelper.cos(f * 1.0F) * 1.0F * f1;
	}
}