//Made with Blockbench
//Paste this code into your mod.

public static class ModelLegTest2 extends ModelBase {
	private final ModelRenderer Body;
	private final ModelRenderer LeftLeg;
	private final ModelRenderer RightLeg;

	public ModelLegTest2() {
		textureWidth = 32;
		textureHeight = 32;

		Body = new ModelRenderer(this);
		Body.setRotationPoint(0.0F, 24.0F, 0.0F);
		Body.cubeList.add(new ModelBox(Body, 0, 0, -2.0F, -14.0F, -1.0F, 3, 7, 2, 0.0F, false));

		LeftLeg = new ModelRenderer(this);
		LeftLeg.setRotationPoint(0.0F, 24.0F, 0.0F);
		LeftLeg.cubeList.add(new ModelBox(LeftLeg, 0, 9, 0.0F, -7.0F, -1.0F, 1, 7, 2, 0.0F, false));

		RightLeg = new ModelRenderer(this);
		RightLeg.setRotationPoint(0.0F, 24.0F, 0.0F);
		RightLeg.cubeList.add(new ModelBox(RightLeg, 8, 8, -2.0F, -7.0F, -1.0F, 1, 7, 2, 0.0F, false));
	}

	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3, float f4, float f5) {
		Body.render(f5);
		LeftLeg.render(f5);
		RightLeg.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y, float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3, float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
		this.LeftLeg.rotateAngleZ = MathHelper.cos(f * 1.0F) * -1.0F * f1;
		this.RightLeg.rotateAngleZ = MathHelper.cos(f * 1.0F) * 1.0F * f1;
	}
}