
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.world.World;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;
import net.minecraft.block.state.IBlockState;

import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaItems;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

import java.util.List;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemHistoricIngot extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:historicingot")
	public static final Item block = null;
	public ItemHistoricIngot(ElementsMinecraftDeltaMod instance) {
		super(instance, 168);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ItemCustom());
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(block, 0, new ModelResourceLocation("minecraft_delta_mod:historicingot", "inventory"));
	}
	public static class ItemCustom extends Item {
		public ItemCustom() {
			setMaxDamage(0);
			maxStackSize = 64;
			setUnlocalizedName("historicingot");
			setRegistryName("historicingot");
			setCreativeTab(TabDeltaItems.tab);
		}

		@Override
		public int getItemEnchantability() {
			return 0;
		}

		@Override
		public int getMaxItemUseDuration(ItemStack itemstack) {
			return 0;
		}

		@Override
		public float getDestroySpeed(ItemStack par1ItemStack, IBlockState par2Block) {
			return 1F;
		}

		@Override
		public void addInformation(ItemStack itemstack, World world, List<String> list, ITooltipFlag flag) {
			super.addInformation(itemstack, world, list, flag);
			list.add("'Infused with ancient creatures'");
		}
	}
}
