
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemSpade;
import net.minecraft.item.Item;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaTools;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

import java.util.Set;
import java.util.HashMap;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemHistoricShovel extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:historicshovel")
	public static final Item block = null;
	public ItemHistoricShovel(ElementsMinecraftDeltaMod instance) {
		super(instance, 179);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ItemSpade(EnumHelper.addToolMaterial("HISTORICSHOVEL", 3, 361, 7f, 3f, 18)) {
			{
				this.attackSpeed = -3f;
			}
			public Set<String> getToolClasses(ItemStack stack) {
				HashMap<String, Integer> ret = new HashMap<String, Integer>();
				ret.put("spade", 3);
				return ret.keySet();
			}
		}.setUnlocalizedName("historicshovel").setRegistryName("historicshovel").setCreativeTab(TabDeltaTools.tab));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(block, 0, new ModelResourceLocation("minecraft_delta_mod:historicshovel", "inventory"));
	}
}
