
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.util.ResourceLocation;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.Item;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaTools;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemPhyliniteArmor extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:phylinitearmorhelmet")
	public static final Item helmet = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:phylinitearmorbody")
	public static final Item body = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:phylinitearmorlegs")
	public static final Item legs = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:phylinitearmorboots")
	public static final Item boots = null;
	public ItemPhyliniteArmor(ElementsMinecraftDeltaMod instance) {
		super(instance, 125);
	}

	@Override
	public void initElements() {
		ItemArmor.ArmorMaterial enuma = EnumHelper.addArmorMaterial("PHYLINITEARMOR", "minecraft_delta_mod:phylinite", 24, new int[]{4, 8, 9, 4}, 16,
				(net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY.getObject(new ResourceLocation("")), 0.5f);
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.HEAD).setUnlocalizedName("phylinitearmorhelmet")
				.setRegistryName("phylinitearmorhelmet").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.CHEST).setUnlocalizedName("phylinitearmorbody")
				.setRegistryName("phylinitearmorbody").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.LEGS).setUnlocalizedName("phylinitearmorlegs")
				.setRegistryName("phylinitearmorlegs").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.FEET).setUnlocalizedName("phylinitearmorboots")
				.setRegistryName("phylinitearmorboots").setCreativeTab(TabDeltaTools.tab));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(helmet, 0, new ModelResourceLocation("minecraft_delta_mod:phylinitearmorhelmet", "inventory"));
		ModelLoader.setCustomModelResourceLocation(body, 0, new ModelResourceLocation("minecraft_delta_mod:phylinitearmorbody", "inventory"));
		ModelLoader.setCustomModelResourceLocation(legs, 0, new ModelResourceLocation("minecraft_delta_mod:phylinitearmorlegs", "inventory"));
		ModelLoader.setCustomModelResourceLocation(boots, 0, new ModelResourceLocation("minecraft_delta_mod:phylinitearmorboots", "inventory"));
	}
}
