
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemPickaxe;
import net.minecraft.item.Item;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaTools;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

import java.util.Set;
import java.util.HashMap;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemRoseWoodPickaxe extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:rosewoodpickaxe")
	public static final Item block = null;
	public ItemRoseWoodPickaxe(ElementsMinecraftDeltaMod instance) {
		super(instance, 67);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ItemPickaxe(EnumHelper.addToolMaterial("ROSEWOODPICKAXE", 1, 40, 4f, 0f, 2)) {
			{
				this.attackSpeed = -3f;
			}
			public Set<String> getToolClasses(ItemStack stack) {
				HashMap<String, Integer> ret = new HashMap<String, Integer>();
				ret.put("pickaxe", 1);
				return ret.keySet();
			}
		}.setUnlocalizedName("rosewoodpickaxe").setRegistryName("rosewoodpickaxe").setCreativeTab(TabDeltaTools.tab));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(block, 0, new ModelResourceLocation("minecraft_delta_mod:rosewoodpickaxe", "inventory"));
	}
}
