package net.mcreator.minecraft_delta_mod.procedure;

import net.minecraft.world.gen.structure.template.Template;
import net.minecraft.world.gen.structure.template.PlacementSettings;
import net.minecraft.world.WorldServer;
import net.minecraft.world.World;
import net.minecraft.util.math.ChunkPos;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.SoundCategory;
import net.minecraft.util.Rotation;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.Mirror;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.init.Blocks;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.Entity;
import net.minecraft.block.state.IBlockState;
import net.minecraft.block.Block;

import net.mcreator.minecraft_delta_mod.entity.EntitySwiftCreeper;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ProcedureAsbundTheBarrenKingEntityIsHurt extends ElementsMinecraftDeltaMod.ModElement {
	public ProcedureAsbundTheBarrenKingEntityIsHurt(ElementsMinecraftDeltaMod instance) {
		super(instance, 205);
	}

	public static void executeProcedure(java.util.HashMap<String, Object> dependencies) {
		if (dependencies.get("x") == null) {
			System.err.println("Failed to load dependency x for procedure AsbundTheBarrenKingEntityIsHurt!");
			return;
		}
		if (dependencies.get("y") == null) {
			System.err.println("Failed to load dependency y for procedure AsbundTheBarrenKingEntityIsHurt!");
			return;
		}
		if (dependencies.get("z") == null) {
			System.err.println("Failed to load dependency z for procedure AsbundTheBarrenKingEntityIsHurt!");
			return;
		}
		if (dependencies.get("world") == null) {
			System.err.println("Failed to load dependency world for procedure AsbundTheBarrenKingEntityIsHurt!");
			return;
		}
		int x = (int) dependencies.get("x");
		int y = (int) dependencies.get("y");
		int z = (int) dependencies.get("z");
		World world = (World) dependencies.get("world");
		if (((Math.random() >= 0.9) && (!(world.isAirBlock(new BlockPos((int) x, (int) y, (int) z)))))) {
			if (!world.isRemote) {
				Template template = ((WorldServer) world).getStructureTemplateManager().getTemplate(world.getMinecraftServer(),
						new ResourceLocation("minecraft_delta_mod", "barrenglasscrystalchunkmedium"));
				if (template != null) {
					BlockPos spawnTo = new BlockPos((int) x, (int) y, (int) z);
					IBlockState iblockstate = world.getBlockState(spawnTo);
					world.notifyBlockUpdate(spawnTo, iblockstate, iblockstate, 3);
					template.addBlocksToWorldChunk(world, spawnTo, new PlacementSettings().setRotation(Rotation.NONE).setMirror(Mirror.NONE)
							.setChunk((ChunkPos) null).setReplacedBlock((Block) null).setIgnoreStructureBlock(false).setIgnoreEntities(false));
				}
			}
			world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
					.getObject(new ResourceLocation("minecraft_delta_mod:strongburst")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
			if (world instanceof WorldServer)
				((WorldServer) world).spawnParticle(EnumParticleTypes.CRIT, x, y, z, (int) 20, 3, 3, 3, 1, new int[0]);
			if (world instanceof WorldServer)
				((WorldServer) world).spawnParticle(EnumParticleTypes.DRIP_LAVA, x, y, z, (int) 20, 3, 3, 3, 1, new int[0]);
			if (world instanceof WorldServer)
				((WorldServer) world).spawnParticle(EnumParticleTypes.EXPLOSION_NORMAL, x, y, z, (int) 20, 3, 3, 3, 1, new int[0]);
			if (world instanceof WorldServer)
				((WorldServer) world).spawnParticle(EnumParticleTypes.LAVA, x, y, z, (int) 20, 3, 3, 3, 1, new int[0]);
		} else if (((Math.random() >= 0.8) && (world.isAirBlock(new BlockPos((int) x, (int) y, (int) z))))) {
			world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
					.getObject(new ResourceLocation("minecraft_delta_mod:vomitattack")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
			if (world instanceof WorldServer)
				((WorldServer) world).spawnParticle(EnumParticleTypes.LAVA, x, y, z, (int) 10, 2, 2, 2, 0.2, new int[0]);
			world.setBlockState(new BlockPos((int) x, (int) y, (int) z), Blocks.FIRE.getDefaultState(), 3);
			world.setBlockState(new BlockPos((int) (x + 1), (int) y, (int) z), Blocks.FIRE.getDefaultState(), 3);
			world.setBlockState(new BlockPos((int) (x - 1), (int) y, (int) z), Blocks.FIRE.getDefaultState(), 3);
			world.setBlockState(new BlockPos((int) x, (int) y, (int) (x + 1)), Blocks.FIRE.getDefaultState(), 3);
			world.setBlockState(new BlockPos((int) x, (int) y, (int) (x - 1)), Blocks.FIRE.getDefaultState(), 3);
		} else if ((Math.random() >= 0.75)) {
			if (!world.isRemote) {
				Entity entityToSpawn = new EntitySwiftCreeper.EntityCustom(world);
				if (entityToSpawn != null) {
					entityToSpawn.setLocationAndAngles(x, (y + 5), z, world.rand.nextFloat() * 360F, 0.0F);
					world.spawnEntity(entityToSpawn);
				}
			}
			if (!world.isRemote) {
				Entity entityToSpawn = new EntitySwiftCreeper.EntityCustom(world);
				if (entityToSpawn != null) {
					entityToSpawn.setLocationAndAngles(x, (y + 5), z, world.rand.nextFloat() * 360F, 0.0F);
					world.spawnEntity(entityToSpawn);
				}
			}
			if (!world.isRemote) {
				Entity entityToSpawn = new EntitySwiftCreeper.EntityCustom(world);
				if (entityToSpawn != null) {
					entityToSpawn.setLocationAndAngles(x, (y + 5), z, world.rand.nextFloat() * 360F, 0.0F);
					world.spawnEntity(entityToSpawn);
				}
			}
		}
		if ((Math.random() >= 0.7)) {
			world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
					.getObject(new ResourceLocation("minecraft_delta_mod:toadkinghurt1")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
		} else if ((Math.random() >= 0.7)) {
			world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
					.getObject(new ResourceLocation("minecraft_delta_mod:toadkinghurt")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
		} else {
			world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
					.getObject(new ResourceLocation("minecraft_delta_mod:toadkinghurt3")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
		}
	}
}
