package net.mcreator.minecraft_delta_mod.procedure;

import net.minecraftforge.fml.common.gameevent.TickEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;
import net.minecraftforge.common.MinecraftForge;

import net.minecraft.world.WorldServer;
import net.minecraft.world.World;
import net.minecraft.util.SoundCategory;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.Entity;

import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ProcedureHistoricArmorImmune extends ElementsMinecraftDeltaMod.ModElement {
	public ProcedureHistoricArmorImmune(ElementsMinecraftDeltaMod instance) {
		super(instance, 175);
	}

	public static void executeProcedure(java.util.HashMap<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			System.err.println("Failed to load dependency entity for procedure HistoricArmorImmune!");
			return;
		}
		if (dependencies.get("x") == null) {
			System.err.println("Failed to load dependency x for procedure HistoricArmorImmune!");
			return;
		}
		if (dependencies.get("y") == null) {
			System.err.println("Failed to load dependency y for procedure HistoricArmorImmune!");
			return;
		}
		if (dependencies.get("z") == null) {
			System.err.println("Failed to load dependency z for procedure HistoricArmorImmune!");
			return;
		}
		if (dependencies.get("world") == null) {
			System.err.println("Failed to load dependency world for procedure HistoricArmorImmune!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		int x = (int) dependencies.get("x");
		int y = (int) dependencies.get("y");
		int z = (int) dependencies.get("z");
		World world = (World) dependencies.get("world");
		if ((((entity instanceof EntityLivingBase) ? ((EntityLivingBase) entity).getTotalArmorValue() : 0) == 18)) {
			entity.getEntityData().setDouble("BurstCooldown", ((entity.getEntityData().getDouble("BurstCooldown")) + 1));
			if ((((entity.getEntityData().getDouble("BurstCooldown")) >= 100) && (entity.isSneaking()))) {
				world.playSound((EntityPlayer) null, x, y, z, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY
						.getObject(new ResourceLocation("minecraft_delta_mod:strongburst")), SoundCategory.NEUTRAL, (float) 1, (float) 1);
				if (world instanceof WorldServer)
					((WorldServer) world).spawnParticle(EnumParticleTypes.SPIT, x, y, z, (int) 40, 2, 2, 2, 0.1, new int[0]);
				if (entity instanceof EntityLivingBase)
					((EntityLivingBase) entity).clearActivePotions();
				entity.getEntityData().setDouble("BurstCooldown", 0);
			}
		}
	}

	@SubscribeEvent
	public void onPlayerTick(TickEvent.PlayerTickEvent event) {
		if (event.phase == TickEvent.Phase.END) {
			Entity entity = event.player;
			World world = entity.world;
			int i = (int) entity.posX;
			int j = (int) entity.posY;
			int k = (int) entity.posZ;
			java.util.HashMap<String, Object> dependencies = new java.util.HashMap<>();
			dependencies.put("x", i);
			dependencies.put("y", j);
			dependencies.put("z", k);
			dependencies.put("world", world);
			dependencies.put("entity", entity);
			dependencies.put("event", event);
			this.executeProcedure(dependencies);
		}
	}

	@Override
	public void preInit(FMLPreInitializationEvent event) {
		MinecraftForge.EVENT_BUS.register(this);
	}
}
