package net.mcreator.minecraft_delta_mod.procedure;

import net.minecraft.world.WorldServer;
import net.minecraft.world.World;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.potion.PotionEffect;
import net.minecraft.init.MobEffects;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.Entity;

import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ProcedureSpindalFlameBulletHitsLivingEntity extends ElementsMinecraftDeltaMod.ModElement {
	public ProcedureSpindalFlameBulletHitsLivingEntity(ElementsMinecraftDeltaMod instance) {
		super(instance, 252);
	}

	public static void executeProcedure(java.util.HashMap<String, Object> dependencies) {
		if (dependencies.get("entity") == null) {
			System.err.println("Failed to load dependency entity for procedure SpindalFlameBulletHitsLivingEntity!");
			return;
		}
		if (dependencies.get("x") == null) {
			System.err.println("Failed to load dependency x for procedure SpindalFlameBulletHitsLivingEntity!");
			return;
		}
		if (dependencies.get("y") == null) {
			System.err.println("Failed to load dependency y for procedure SpindalFlameBulletHitsLivingEntity!");
			return;
		}
		if (dependencies.get("z") == null) {
			System.err.println("Failed to load dependency z for procedure SpindalFlameBulletHitsLivingEntity!");
			return;
		}
		if (dependencies.get("world") == null) {
			System.err.println("Failed to load dependency world for procedure SpindalFlameBulletHitsLivingEntity!");
			return;
		}
		Entity entity = (Entity) dependencies.get("entity");
		int x = (int) dependencies.get("x");
		int y = (int) dependencies.get("y");
		int z = (int) dependencies.get("z");
		World world = (World) dependencies.get("world");
		entity.setInWeb();
		if (entity instanceof EntityLivingBase)
			((EntityLivingBase) entity).addPotionEffect(new PotionEffect(MobEffects.SLOWNESS, (int) 100, (int) 255, (false), (false)));
		if (entity instanceof EntityPlayer)
			((EntityPlayer) entity).getFoodStats()
					.setFoodLevel((int) (((entity instanceof EntityPlayer) ? ((EntityPlayer) entity).getFoodStats().getFoodLevel() : 0) + 2));
		if (world instanceof WorldServer)
			((WorldServer) world).spawnParticle(EnumParticleTypes.CRIT, x, y, z, (int) 20, 3, 3, 2, 1, new int[0]);
	}
}
