//Made with Blockbench
//Paste this code into your mod.

public static class ModelBarrenFly extends ModelBase {
	private final ModelRenderer Wing2;
	private final ModelRenderer Wing1;
	private final ModelRenderer TongueMain;
	private final ModelRenderer TongueNeck;
	private final ModelRenderer Eyes;
	private final ModelRenderer Head;
	private final ModelRenderer Body;

	public ModelBarrenFly() {
		textureWidth = 32;
		textureHeight = 32;

		Wing2 = new ModelRenderer(this);
		Wing2.setRotationPoint(0.0F, 24.0F, 0.0F);
		setRotationAngle(Wing2, 0.0F, 0.0F, -0.7854F);
		Wing2.cubeList.add(new ModelBox(Wing2, 0, 11, 10.5F, -9.25F, -2.0F, 6,
				1, 5, 0.0F, false));

		Wing1 = new ModelRenderer(this);
		Wing1.setRotationPoint(0.0F, 24.0F, 0.0F);
		setRotationAngle(Wing1, 0.0F, 0.0F, 0.7854F);
		Wing1.cubeList.add(new ModelBox(Wing1, 0, 17, -18.25F, -7.5F, -2.0F, 6,
				1, 5, 0.0F, false));

		TongueMain = new ModelRenderer(this);
		TongueMain.setRotationPoint(0.0F, 24.0F, 0.0F);
		setRotationAngle(TongueMain, -0.1745F, 0.0F, 0.0F);
		TongueMain.cubeList.add(new ModelBox(TongueMain, 0, 0, -2.5F, -9.0F,
				-8.75F, 2, 3, 1, 0.0F, false));

		TongueNeck = new ModelRenderer(this);
		TongueNeck.setRotationPoint(0.0F, 24.0F, 0.0F);
		setRotationAngle(TongueNeck, 0.6981F, 0.0F, 0.0F);
		TongueNeck.cubeList.add(new ModelBox(TongueNeck, 17, 11, -2.0F, -12.0F,
				1.25F, 1, 1, 3, 0.0F, false));

		Eyes = new ModelRenderer(this);
		Eyes.setRotationPoint(0.0F, 24.0F, 0.0F);
		Eyes.cubeList.add(new ModelBox(Eyes, 20, 21, -4.0F, -14.0F, -6.0F, 2,
				2, 2, 0.0F, false));
		Eyes.cubeList.add(new ModelBox(Eyes, 19, 0, -0.5F, -14.0F, -6.0F, 2, 2,
				2, 0.0F, false));

		Head = new ModelRenderer(this);
		Head.setRotationPoint(0.0F, 24.0F, 0.0F);
		Head.cubeList.add(new ModelBox(Head, 17, 17, -3.25F, -13.0F, -5.0F, 4,
				2, 2, 0.0F, false));

		Body = new ModelRenderer(this);
		Body.setRotationPoint(0.0F, 24.0F, 0.0F);
		Body.cubeList.add(new ModelBox(Body, 0, 0, -4.25F, -14.0F, -3.0F, 6, 4,
				7, 0.0F, false));
	}

	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3,
			float f4, float f5) {
		Wing2.render(f5);
		Wing1.render(f5);
		TongueMain.render(f5);
		TongueNeck.render(f5);
		Eyes.render(f5);
		Head.render(f5);
		Body.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y,
			float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}

	public void setRotationAngles(float f, float f1, float f2, float f3,
			float f4, float f5, Entity e) {
		super.setRotationAngles(f, f1, f2, f3, f4, f5, e);
	}
}