//Made with Blockbench
//Paste this code into your mod.

public static class ModelKingBarrenToad extends ModelBase {
	private final ModelRenderer body;
	private final ModelRenderer leftleg;
	private final ModelRenderer rightleg;
	private final ModelRenderer leftbackleg;
	private final ModelRenderer rightbackleg;
	private final ModelRenderer leftlegbackbottom;
	private final ModelRenderer rightlegbackbottom;

	public ModelKingBarrenToad() {
		textureWidth = 256;
		textureHeight = 256;

		body = new ModelRenderer(this);
		body.setRotationPoint(0.0F, 24.0F, 0.0F);
		setRotationAngle(body, -0.3491F, 0.0F, 0.0F);
		body.cubeList.add(new ModelBox(body, 0, 0, -18.3082F, -36.2054F,
				-61.0272F, 36, 24, 73, 0.0F, false));

		leftleg = new ModelRenderer(this);
		leftleg.setRotationPoint(0.0F, 24.0F, 0.0F);
		leftleg.cubeList.add(new ModelBox(leftleg, 120, 120, -21.3595F, -36.0F,
				-48.8218F, 12, 36, 12, 0.0F, false));

		rightleg = new ModelRenderer(this);
		rightleg.setRotationPoint(0.0F, 24.0F, 0.0F);
		rightleg.cubeList.add(new ModelBox(rightleg, 72, 97, 9.1541F, -36.0F,
				-48.8218F, 12, 36, 12, 0.0F, false));

		leftbackleg = new ModelRenderer(this);
		leftbackleg.setRotationPoint(0.0F, 24.0F, 0.0F);
		leftbackleg.cubeList.add(new ModelBox(leftbackleg, 0, 97, -24.4109F,
				-24.0F, -6.1027F, 12, 24, 24, 0.0F, false));

		rightbackleg = new ModelRenderer(this);
		rightbackleg.setRotationPoint(0.0F, 24.0F, 0.0F);
		rightbackleg.cubeList.add(new ModelBox(rightbackleg, 0, 0, 12.2054F,
				-24.0F, -6.1027F, 12, 24, 24, 0.0F, false));

		leftlegbackbottom = new ModelRenderer(this);
		leftlegbackbottom.setRotationPoint(0.0F, 24.0F, 0.0F);
		leftlegbackbottom.cubeList.add(new ModelBox(leftlegbackbottom, 0, 145,
				-24.4109F, -12.0F, -18.3082F, 12, 12, 12, 0.0F, false));

		rightlegbackbottom = new ModelRenderer(this);
		rightlegbackbottom.setRotationPoint(0.0F, 24.0F, 0.0F);
		rightlegbackbottom.cubeList.add(new ModelBox(rightlegbackbottom, 0, 48,
				12.2054F, -12.0F, -18.3082F, 12, 12, 12, 0.0F, false));
	}

	@Override
	public void render(Entity entity, float f, float f1, float f2, float f3,
			float f4, float f5) {
		body.render(f5);
		leftleg.render(f5);
		rightleg.render(f5);
		leftbackleg.render(f5);
		rightbackleg.render(f5);
		leftlegbackbottom.render(f5);
		rightlegbackbottom.render(f5);
	}
	public void setRotationAngle(ModelRenderer modelRenderer, float x, float y,
			float z) {
		modelRenderer.rotateAngleX = x;
		modelRenderer.rotateAngleY = y;
		modelRenderer.rotateAngleZ = z;
	}
}