
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.util.ResourceLocation;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.Item;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaTools;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemSteelArmor extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:steelarmorhelmet")
	public static final Item helmet = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:steelarmorbody")
	public static final Item body = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:steelarmorlegs")
	public static final Item legs = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:steelarmorboots")
	public static final Item boots = null;
	public ItemSteelArmor(ElementsMinecraftDeltaMod instance) {
		super(instance, 163);
	}

	@Override
	public void initElements() {
		ItemArmor.ArmorMaterial enuma = EnumHelper.addArmorMaterial("STEELARMOR", "minecraft_delta_mod:steel", 15, new int[]{2, 3, 5, 2}, 9,
				(net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY.getObject(new ResourceLocation("")), 0f);
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.HEAD).setUnlocalizedName("steelarmorhelmet")
				.setRegistryName("steelarmorhelmet").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.CHEST).setUnlocalizedName("steelarmorbody")
				.setRegistryName("steelarmorbody").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.LEGS).setUnlocalizedName("steelarmorlegs")
				.setRegistryName("steelarmorlegs").setCreativeTab(TabDeltaTools.tab));
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.FEET).setUnlocalizedName("steelarmorboots")
				.setRegistryName("steelarmorboots").setCreativeTab(TabDeltaTools.tab));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(helmet, 0, new ModelResourceLocation("minecraft_delta_mod:steelarmorhelmet", "inventory"));
		ModelLoader.setCustomModelResourceLocation(body, 0, new ModelResourceLocation("minecraft_delta_mod:steelarmorbody", "inventory"));
		ModelLoader.setCustomModelResourceLocation(legs, 0, new ModelResourceLocation("minecraft_delta_mod:steelarmorlegs", "inventory"));
		ModelLoader.setCustomModelResourceLocation(boots, 0, new ModelResourceLocation("minecraft_delta_mod:steelarmorboots", "inventory"));
	}
}
