
package net.mcreator.minecraft_delta_mod.item;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.client.model.ModelLoader;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.world.World;
import net.minecraft.util.ResourceLocation;
import net.minecraft.item.ItemStack;
import net.minecraft.item.ItemArmor;
import net.minecraft.item.Item;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.client.renderer.block.model.ModelResourceLocation;

import net.mcreator.minecraft_delta_mod.procedure.ProcedureToadStompersBootsTickEvent;
import net.mcreator.minecraft_delta_mod.creativetab.TabDeltaTools;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ItemToadStompers extends ElementsMinecraftDeltaMod.ModElement {
	@GameRegistry.ObjectHolder("minecraft_delta_mod:toadstompershelmet")
	public static final Item helmet = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:toadstompersbody")
	public static final Item body = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:toadstomperslegs")
	public static final Item legs = null;
	@GameRegistry.ObjectHolder("minecraft_delta_mod:toadstompersboots")
	public static final Item boots = null;
	public ItemToadStompers(ElementsMinecraftDeltaMod instance) {
		super(instance, 219);
	}

	@Override
	public void initElements() {
		ItemArmor.ArmorMaterial enuma = EnumHelper.addArmorMaterial("TOADSTOMPERS", "minecraft_delta_mod:toadstomperstexture", 36,
				new int[]{5, 5, 6, 2}, 12, (net.minecraft.util.SoundEvent) net.minecraft.util.SoundEvent.REGISTRY.getObject(new ResourceLocation("")),
				1f);
		elements.items.add(() -> new ItemArmor(enuma, 0, EntityEquipmentSlot.FEET) {
			@Override
			public void onArmorTick(World world, EntityPlayer entity, ItemStack itemstack) {
				int x = (int) entity.posX;
				int y = (int) entity.posY;
				int z = (int) entity.posZ;
				{
					java.util.HashMap<String, Object> $_dependencies = new java.util.HashMap<>();
					$_dependencies.put("entity", entity);
					ProcedureToadStompersBootsTickEvent.executeProcedure($_dependencies);
				}
			}
		}.setUnlocalizedName("toadstompersboots").setRegistryName("toadstompersboots").setCreativeTab(TabDeltaTools.tab));
	}

	@SideOnly(Side.CLIENT)
	@Override
	public void registerModels(ModelRegistryEvent event) {
		ModelLoader.setCustomModelResourceLocation(boots, 0, new ModelResourceLocation("minecraft_delta_mod:toadstompersboots", "inventory"));
	}
}
