package net.mcreator.minecraft_delta_mod.procedure;

import net.minecraft.world.World;
import net.minecraft.util.math.BlockPos;

import net.mcreator.minecraft_delta_mod.block.BlockLiftGrass;
import net.mcreator.minecraft_delta_mod.ElementsMinecraftDeltaMod;

@ElementsMinecraftDeltaMod.ModElement.Tag
public class ProcedureGravaMoss1UpdateTick extends ElementsMinecraftDeltaMod.ModElement {
	public ProcedureGravaMoss1UpdateTick(ElementsMinecraftDeltaMod instance) {
		super(instance, 296);
	}

	public static void executeProcedure(java.util.HashMap<String, Object> dependencies) {
		if (dependencies.get("x") == null) {
			System.err.println("Failed to load dependency x for procedure GravaMoss1UpdateTick!");
			return;
		}
		if (dependencies.get("y") == null) {
			System.err.println("Failed to load dependency y for procedure GravaMoss1UpdateTick!");
			return;
		}
		if (dependencies.get("z") == null) {
			System.err.println("Failed to load dependency z for procedure GravaMoss1UpdateTick!");
			return;
		}
		if (dependencies.get("world") == null) {
			System.err.println("Failed to load dependency world for procedure GravaMoss1UpdateTick!");
			return;
		}
		int x = (int) dependencies.get("x");
		int y = (int) dependencies.get("y");
		int z = (int) dependencies.get("z");
		World world = (World) dependencies.get("world");
		if (((world.canSeeSky(new BlockPos((int) x, (int) y, (int) z)))
				|| ((world.getLightFromNeighbors(new BlockPos((int) x, (int) y, (int) z))) > 12))) {
			world.setBlockToAir(new BlockPos((int) x, (int) y, (int) z));
		}
		if (((world.getBlockState(new BlockPos((int) x, (int) (y - 1), (int) z))).getBlock() == BlockLiftGrass.block.getDefaultState().getBlock())) {
			world.setBlockToAir(new BlockPos((int) x, (int) y, (int) z));
		}
	}
}
